// This file is used by Code Analysis to maintain SuppressMessage
// attributes that are applied to this project.
// Project-level suppressions either have no target or are given
// a specific target and scoped to a namespace, type, member, etc.

using System.Diagnostics.CodeAnalysis;

// Inline variable declaration not supported
[assembly: SuppressMessage("Style", "IDE0020")]
[assembly: SuppressMessage("Style", "IDE0038")]
[assembly: SuppressMessage("Style", "IDE0018")]

// Null operators not supported
[assembly: SuppressMessage("Style", "IDE0016")]
[assembly: SuppressMessage("Style", "IDE0029")]
[assembly: SuppressMessage("Style", "IDE0031")]
[assembly: SuppressMessage("Style", "IDE1005")]

// Null compound assignment not supported
[assembly: SuppressMessage("Style", "IDE0074")]

// Range operator is not supported
[assembly: SuppressMessage("Style", "IDE0057")]

// Simple `default` usage not supported
[assembly: SuppressMessage("Style", "IDE0034")]

// Simplified new not supported
[assembly: SuppressMessage("Style", "IDE0090")]

// Pattern matching not supported
[assembly: SuppressMessage("Style", "IDE0066")]
[assembly: SuppressMessage("Style", "IDE0083")]

// Simple 'using' statement not supported
[assembly: SuppressMessage("Style", "IDE0063")]

// Index operator not supported
[assembly: SuppressMessage("Style", "IDE0056")]

// Local function not supported
[assembly: SuppressMessage("Style", "IDE0039")]
